v.db.droprow(1)

NAME
v.db.droprow - Removes a vector feature from a vector map through attribute selection.

KEYWORDS
vector, attribute table, database

SYNOPSIS
v.db.droprow
v.db.droprow --help
v.db.droprow input=name [layer=string] where=sql_query output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

where=sql_query [required]
    WHERE conditions of SQL statement without ’where’ keyword
    Example: income < 1000 and population >= 10000

output=name [required]
    Name for output vector map

DESCRIPTION
v.db.droprow removes vector object(s) (point, line, area, face etc.) from a vector map through attribute selection in the table connected to the given vector map. It automatically checks the connection for the specified layer.

NOTES
v.db.droprow is a front-end to v.extract (reverse selection) to allow easier usage. The existing database connection(s) can be verified with v.db.connect.

EXAMPLES
Dropping all vector points without elevation attribute (North Carolina data set):

g.region raster=elevation -p
v.random output=rand5k_elev n=5000
v.db.addtable map=rand5k_elev column="elevation double precision"
v.what.rast vect=rand5k_elev rast=elevation column=elevation
# verify absence of some elevation attributes ("number of NULL attributes"):
v.univar rand5k_elev type=point column=elevation
# Remove all vector points lacking elevation attribute
v.db.droprow rand5k_elev output=rand5k_elev_filt where="elevation IS NULL"
# verify:
v.univar rand5k_elev_filt type=point column=elevation

SEE ALSO
db.droptable, db.execute, v.db.addcolumn, v.db.addtable, v.db.connect, v.db.dropcolumn, v.db.droptable, v.db.select, v.db.update

GRASS SQL interface

AUTHOR
Markus Neteler

SOURCE CODE

Available at: v.db.droprow source code (history)

Accessed: Thursday Apr 11 03:56:24 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.2 Reference Manual